# $Revision: 1.5 $, $Date: 2003/09/08 23:49:21 $
Summary:	Common netFluid Technology Function Set
Summary(pl):	Wsplny zestaw technologii netFluid
Name:		phlib
Version:	1.18
Release:	1
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	c7ba6fd365fcd60fc4431a907126674e
License:	GPL
Group:		Libraries
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phlib provides the core function set used by netFluid Technology. It
provides such things as a universal double linked list, very efficient
constant memory string parsing and building, fixed memory relocatable.

%description -l pl
phlib udostpnia podstawowy zestaw funkcji wykorzystywanych przez
netFluid technologi. Udostpnia takie rzeczy jak uniwersalne podwjne
listy, bardzo efektywn analiz skadniow i tworzenie acuchw w
pamici, sta relokacj pamici.

%package devel
Summary:	Common netFluid Technology Function Set - development
Summary(pl):	Wsplny zestaw technologii netFluid - dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for phlib.

%description devel -l pl
Pliki dla programistw do phlib.

%package static
Summary:	Common netFluid Technology Function Set - static
Summary(pl):	Wsplny zestaw technologii netFluid - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static development files for phlib.

%description static -l pl
Statyczne pliki dla programistw dla phlib.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=${RPM_BUILD_ROOT}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so*

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libpxtra.a*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phlib.spec,v $
Revision 1.5  2003/09/08 23:49:21  undefine
- release 1

Revision 1.4  2003/09/08 12:49:29  ankry
- some pl cosmetics

Revision 1.3  2003/09/08 12:07:42  undefine
- move *.so files to phlib subpackage

Revision 1.2  2003/09/08 11:59:36  undefine
- +x on _libdir/*.so.*

Revision 1.1  2003/09/08 11:16:50  undefine
- initital pld version based on built spec

* Tue Jan 26 2003 Chris Smith <chris@nfluid.com> 1.1.18
- New Release
